diff --git a/joli.js b/joli.js
index 76f7407..6cfdb5c 100644
--- a/joli.js
+++ b/joli.js
@@ -251,6 +251,10 @@ var joliCreator = function() {
                 q.limit(constraints.limit);
             }
 
+            if (constraints.limit && constraints.offset) {
+                q.offset(constraints.offset);
+            }
+
             return q.execute();
         },
         count: function(constraints) {
@@ -539,6 +543,10 @@ var joliCreator = function() {
                 query += ' limit ' + this.data.limit;
             }
 
+            if (this.data.limit && this.data.offset) {
+                query += ' offset ' + this.data.offset;
+            }
+
             return query;
         },
         groupBy: function(group) {
@@ -663,6 +671,10 @@ var joliCreator = function() {
             this.data.limit = limit;
             return this;
         },
+        offset: function(offset) {
+            this.data.offset = offset;
+            return this;
+        },
         order: function(order) {
             if ('string' === joli.getType(order)) {
                 order = [order];
